org.eclipse.jetty.util.thread

## Interface ThreadPool

All Known Subinterfaces:
  ThreadPool.SizedThreadPool

All Known Implementing Classes:
  ExecutorThreadPool, QueuedThreadPool

    public interface ThreadPool

ThreadPool.

### Nested Class Summary

Nested Classes
`static interface` `ThreadPool.SizedThreadPool`

### Method Summary

Methods
`boolean` `dispatch(Runnable job)`
`int` `getIdleThreads()`
`int` `getThreads()`
`boolean` `isLowOnThreads()`
`void` `join()` Blocks until the thread pool is `stopped`.

### Method Detail

#### dispatch

    boolean dispatch(Runnable job)

#### join

    void join()
              throws InterruptedException

Blocks until the thread pool is `stopped`.

Throws:
  `InterruptedException`

#### getThreads

    int getThreads()

Returns:
  The total number of threads currently in the pool

#### getIdleThreads

    int getIdleThreads()

Returns:
  The number of idle threads in the pool

#### isLowOnThreads

    boolean isLowOnThreads()

Returns:
  True if the pool is low on threads